@import mixins
@import keyframes

+keyframes-vex-pulse

.vex.vex-theme-wireframe
	padding-top: 160px
	padding-bottom: 160px

	.vex-overlay
		background: rgba(255, 255, 255, .4)

	.vex-content
		font-family: "Helvetica Neue", sans-serif
		background: #FFFFFF
		color: #000000
		border: 2px solid #000000
		padding: 2em
		position: relative
		margin: 0 auto
		max-width: 100%
		width: 400px
		font-size: 1.1em
		line-height: 1.5em

		h1, h2, h3, h4, h5, h6, p, ul, li
			color: inherit

	.vex-close
		position: absolute
		top: 0
		right: 0
		cursor: pointer

		&:before
			position: absolute
			content: "\00D7"
			font-size: 40px
			font-weight: normal
			line-height: 80px
			height: 80px
			width: 80px
			text-align: center
			top: 3px
			right: 3px
			color: #000000

		&:hover:before, &:active:before
			color: #000000

	.vex-dialog-form

		.vex-dialog-message
			margin-bottom: .5em

		.vex-dialog-input
			margin-bottom: 1em

			textarea, input[type="date"], input[type="datetime"], input[type="datetime-local"], input[type="email"], input[type="month"], input[type="number"], input[type="password"], input[type="search"], input[type="tel"], input[type="text"], input[type="time"], input[type="url"], input[type="week"]
				background: #FFFFFF
				width: 100%
				padding: .25em .67em
				font-family: inherit
				font-weight: inherit
				font-size: inherit
				min-height: 2.5em
				margin: 0 0 .25em
				border: 2px solid #000000

				&:focus
					border-style: dashed
					outline: none

		.vex-dialog-buttons
			+pie-clearfix()

	.vex-dialog-button
		+border-radius(0)
		border: 0
		float: right
		margin: 0 0 0 .5em
		font-family: inherit
		text-transform: uppercase
		letter-spacing: .1em
		font-size: .8em
		line-height: 1em
		padding: .75em 2em

		&.vex-last
			margin-left: 0

		&:focus
			+vex-animation(vex-pulse 1.1s infinite)
			outline: none

			// vex-pulse uses -webkit-filter which
			// doesn't play so nice in mobile webkit
			@media (max-width: 568px)
				+vex-animation(none)

		&.vex-dialog-button-primary
			background: #000000
			color: #FFFFFF
			border: 2px solid transparent

		&.vex-dialog-button-secondary
			background: #FFFFFF
			color: #000000
			border: 2px solid #000000

.vex-loading-spinner.vex-theme-wireframe
	height: 2.5em
	width: 2.5em
